PRUNEHISTORY(8)

NAME
prunehistory - Remove tokens from Usenet history file

SYNOPSIS
prunehistory [-p] [-f filename]

DESCRIPTION
prunehistory modifies a history(5)-format text file to "remove" a set of tokens from it. The tokens are removed by overwriting them with spaces, so that the size and position of any following entries does not change. This has an effect similar to expiring the article, in that it is still mentioned in the history database but cannot be retrieved.

prunehistory reads the standard input. The input is taken as a set of lines. Blank lines and lines starting with a number sign ("#") are ignored. All other lines should consist of a message-ID followed by zero or more other fields (which are ignored). The message-ID is used as the dbz(3) key to get an offset into the text file. Since innd only appends to the text file, prunehistory does not need to have any interaction with it.

OPTIONS

-p  prunehistory will normally complain about lines that do not follow the correct format. If the -p flag is used, then the program will silently print any invalid lines on its standard output. (Blank lines and comment lines are also passed through.)

    This can be useful when prunehistory is used as a filter for other programs such as reap (a legacy program, probably no longer useful with current versions of INN, but still available at <ftp://ftp.ruhr-uni-bochum.de/.subdisc1/local/jk.collection/>).

-f filename
    The default name of the history file is pathdb/history; to specify a different name, use the -f flag.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews. Converted to POD by Julien Elie.

$Id: prunehistory.pod 8592 2009-08-20 23:46:25Z eagle $

SEE ALSO
dbz(3), history(5), innd(8).